GET
/v1/listings/templates/{id}GET /v1/listings/templates/{id}
Scopes: listings:listing_templates:read
Requires scope: listings:listing_templates:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int32> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int32> | no | |
companyId | integer<int32> | no | |
name | string | no | |
notes | string | no | |
fieldValuesJson | string | no | |
attributesJson | string | no | |
createdOn | string<date-time> | no | |
updatedOn | string<date-time> | no | |
marketplace | ListingTemplateMarketplaceRef | no | |
marketplaceLocale | ListingTemplateLocaleRef | no | |
measurement | ListingTemplateMeasurementRef | no | |
fields | ListingTemplateFieldRef[] | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/listings/templates/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);